This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282427 - Zanata: Consolidate i18n text into a single shared module to support translation efforts
Zanata: Consolidate i18n text into a single shared module to support translat...
Status: NEW
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 06:34 EST by manstis
Modified: 2016-04-12 01:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manstis 2015-11-16 06:34:49 EST
Description of problem:

Business Central's i18n is currently comprised of 11 Zanata projects. Each project represents different feature-sets (e.g. Uberfire, jBPM Console, Drools editors, jBPM Designer etc). Each project also contains numerous i18n "source" files - the naming of which is not always clear (e.g. "Constants" vs "ScreenXYZConstants"). Each file may also not have meaningful constants (e.g. "ALabel" vs "LabelForUserPassword". 

This is causing difficulties for the translation team that can not always find the correct Zanata project, file or entry when trying to translate a piece of text in the UI.

Version-Release number of selected component (if applicable):

6.x

The proposal is to move *all* i18n text into shared modules (we probably need one for Uberfire, one for DashBuilder and one for everything else). The module would contain all i18n text for all screens, editors etc. The proposal being one file per screen/editor plus one "common".

This a large task and needs project management to triage, prioritise and assign resource. I'd expect it to take a few weeks to complete.
Comment 2 Edson Tirelli 2015-11-16 08:23:43 EST
This needs to be scheduled to either 6.3 product or 7.0.
Comment 3 Angela Garcia 2016-03-29 22:03:49 EDT
Hi Everyone,

Is there any new progress on this? The localization team is currently working on the QA for 6.3 atm and the fact of having 14 different Zanata links makes it very time consuming to find the strings to be modified/corrected.

Let me know if I can be of any help from my end.


Thanks a lot!

Angela García
Comment 4 Cristiano Nicolai 2016-04-12 01:29:53 EDT
+1 to this change. This would be a great step forward helping the translation team as well as to the project bringing more consistency to the terms we use. Not to mention that identifying i18n issues would be way easier.

I believe this work could be split across each of the repository leaders to easy the workload.

Definitely something we should consider for 7.x series.

Note You need to log in before you can comment on or make changes to this bug.